import {jsxs,jsx}from'@emotion/react/jsx-runtime';import {Helmet}from'react-helmet';/**
 * @description Plain`CounterView` component without any data dependency.
 */
const CounterView = ({ loading, counter, addCounter, counterState, addCounterState, onReduxIncrement, reduxCount, getCounterLoading, addCounterWs, getCounter, syncCachedCounter, cachedData, }) => {
    var _a;
    const renderMetaData = () => (jsxs(Helmet, { children: [jsx("title", { children: "Counter" }), jsx("meta", { name: "description", content: "Counter example page" })] }));
    if (loading) {
        return (jsxs("div", { children: [renderMetaData(), jsx("div", Object.assign({ className: "text-center" }, { children: "Loading Page..." }))] }));
    }
    else {
        return (jsxs("div", { children: [renderMetaData(), jsxs("section", { children: [jsxs("p", { children: ["Current counter, is ", counter === null || counter === void 0 ? void 0 : counter.amount, " and cached data. This is being stored server-side in the database and using Apollo subscription for real-time updates."] }), jsx("button", Object.assign({ id: "graphql-button", color: "primary", onClick: addCounter(1) }, { children: "Click to increase counter" })), jsx("button", Object.assign({ id: "graphql-button", color: "primary", onClick: () => addCounterWs({ variables: { amount: 1 } }) }, { children: "Click to increase counter via websocket" }))] }), jsx("section", { children: jsxs("p", { children: ["Get Counter Cache", getCounterLoading ? "Loading Counter Data..." : cachedData ? jsxs("span", Object.assign({ style: { fontStyle: 'bold' } }, { children: [" ", (_a = cachedData === null || cachedData === void 0 ? void 0 : cachedData.counterCache) === null || _a === void 0 ? void 0 : _a.amount] })) : null, jsx("br", {}), jsx("button", Object.assign({ id: "get-cached-counter", onClick: () => getCounter() }, { children: "Click to get cached counter" })), jsx("button", Object.assign({ id: "sync-cached-counter", onClick: () => syncCachedCounter() }, { children: "Synch Counter with Cache" }))] }) }), jsxs("section", { children: [jsxs("p", { children: ["Current reduxCount, is ", reduxCount, ". This is being stored client-side with Redux."] }), jsx("button", Object.assign({ id: "redux-button", color: "primary", onClick: onReduxIncrement(1) }, { children: "Click to increase reduxCount" }))] }), jsxs("section", { children: [jsxs("p", { children: ["Current apolloLinkStateCount, is ", counterState, ". This is being stored client-side with Apollo Link State."] }), jsx("button", Object.assign({ id: "apollo-link-button", color: "primary", onClick: addCounterState(1) }, { children: "Click to increase apolloLinkState" }))] })] }));
    }
};export{CounterView as default};//# sourceMappingURL=CounterView.js.map
